/* ============================= */
/* === MEDIA QUERIES === */
/* ============================= */

@media (min-width: 1401px) { /* s'applique aux écrans de 1401 et + */
    .container-lg {
        /*max-width: 1320px;*/
        max-width: 1040px;
        /*background-color: #ccc;*/
    }
}
@media (max-width: 1400px) {  /* s'applique aux écrans de 1400 et - */
    .container-lg {
        /*max-width: 1140px;*/
        max-width: 1040px;
        /*background-color:white;*/
    }
}
@media (max-width: 1200px) {
    .container-lg {
        /*max-width: 1140px;*/
        max-width: 1040px;
        /*background-color:yellow;*/
    }
}


@media (max-width: 992px) {
    .container-lg {
        max-width: 960px;
        /*background-color:blue;*/
    }
    .navbar-collapse,
    .navbar-nav {
        text-align: left !important;
    }
    .social-nav {
        top:auto !important;
        bottom: 7px !important;
    }
    /*.navbar-collapse {
        text-align: center;
    }*/
    .navbar-nav {
        width: 100%;
    }

    #main-menu {
        position: fixed;
        top: 120px;
        left: 0;
        /*width: 250px;*/
        width: 285px;
        height: 250px;
        background: white;
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1050;
        padding: 20px;
        box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
    }
    #main-menu.show {
        transform: translateX(0);
    }
    .menu-children-un {
        /*width:255px;*/
        width:320px;
        padding: 2px 0;
    }
    .navbar-nav .dropdown-menu {
        padding:2px;
    }
    /* Animation des sous-menus */
    .dropdown-menu {
        display: block;
        /*width: 330px;
        width: 280px;*/
        width: 329px;
        opacity: 0;
        transform: translateX(100%);
        transition: transform 0.3s ease, opacity 0.3s ease;
        position: absolute;
        left: 100%;
        /*top: 0;*/
    }
    .dropdown:hover .dropdown-menu {
        /*opacity: 1;*/
        /*transform: translateX(0);*/
        position:absolute;
        /*left: 25%;*/
        left: 15%;
       /* right: 100%;*/
       background-color: rgb(255,255,255, 0.8);
    }
    .dropdown-toggle i {
        font-size: 0.7em;
        transform: rotate(-90deg); 
        transition: transform 0.4s ease-in-out;
    }

    /* Animation de rotation vers le haut au survol */
    .dropdown-toggle:hover i,
    .dropdown.show .dropdown-toggle i {
        transform: rotate(90deg) !important;
    }

}




@media (max-width: 768px) {
    .container-lg {
        max-width: 100%;
        /*background-color:green;*/
    }
    h1 {
        font-size: 2rem;
    }
    h2 {
        font-size: 1.8rem !important;
    }
    .navbar .navbar-nav {
        text-align: center;
    }
    .wp-block-uagb-container, 
    .wp-block-group {
        padding: 10px;
    }
    .footer-blog img{
        display:none;
    }
    .legal.mb-3{
        margin-bottom:3.5rem !important;
    }
    .wp-block-uagb-container.marques.uagb-is-root-container .wp-block-uagb-container {
      max-width: 25% !important;
      width: 100%;
    }
    .rdv{
        margin-bottom:20px;
    }
    .rdv .uagb-marketing-btn__title,
    .rdv .uagb-marketing-btn__prefix {
        display: block !important;
        text-align: center !important;
    }
    .rdv .uagb-marketing-btn__link svg {
        display: block;
        text-align: center !important;
        margin: 10px auto !important;
    }
    /*Correction erreur de choix de block */
    .uag-masonry.columns-3.wp-block-gallery.has-nested-images {
      column-count: 2 !important;
    }
    .figcaption-text {
        font-size: 11px;
    }

@media (max-width: 576px) {
    .container-lg {
        max-width: 100%;
        /*background-color:purple;*/
    }
    footer {
        margin-bottom:30px;
    }
    footer hr.separateur{
        display:inherit !important;
    }
    footer .col-sm-4.border-start {
        border-left: none !important;
    }
    .wp-block-uagb-container.marques.uagb-is-root-container .wp-block-uagb-container {
      max-width: 50% !important;
      width: 100%;
    }
    #modalVelo .colonne{
    column-count: 1;
    column-gap: 0;
    /*font-size:12px;*/
    }
    #modalVelo .contenu{
        display:none;
    }
    /*#modalVelo .caracteristiques,
    #modalVelo .prix,*/
    #modalVelo .wp-block-button{
        font-size: 12px;
    }
    #modalVelo .essai{
        font-weight:normal;
    }
    

}